Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-1400

Amazon Linux (Enterprise) No local packages or download links found for unittest2<=0.8.0

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.6
    • Component/s: Continuous Integration
    • Labels:
      None

      Description

      I think the BUILD team needs to install 'unittest2<=0.8.0' on linux-64-amzn-test.

       [2017/11/03 12:06:52.767] + /usr/bin/python setup.py test
       [2017/11/03 12:06:52.879] running test
       [2017/11/03 12:06:52.879] Checking .pth file support in .
       [2017/11/03 12:06:52.879] /usr/bin/python -E -c pass
       [2017/11/03 12:06:52.879] Searching for unittest2<=0.8.0
       [2017/11/03 12:06:52.886] Reading http://pypi.python.org/simple/unittest2/
       [2017/11/03 12:06:52.886] Couldn't find index page for 'unittest2' (maybe misspelled?)
       [2017/11/03 12:06:52.886] Scanning index of all packages (this may take a while)
       [2017/11/03 12:06:52.886] Reading http://pypi.python.org/simple/
       [2017/11/03 12:06:52.889] error: Could not find suitable distribution for Requirement.parse('unittest2<=0.8.0')
       [2017/11/03 12:06:52.897] No local packages or download links found for unittest2<=0.8.0
       [2017/11/03 12:06:52.897] Command failed: script finished with error: exit status 1
       [2017/11/03 12:06:52.898] Task completed - FAILURE.
      

      https://evergreen.mongodb.com/task_log_raw/mongo_python_driver_tests_all__os_fully_featured~linux_64_amzn_test_auth_ssl~auth_ssl_test_2.6_replica_set_280efd2d726aa589b8656031f3453d0a7903e1ff_17_10_31_21_22_58/0?type=T#L669

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: